org.eclipse.jetty.servlet

## Interface ServletContextHandler.Decorator

All Known Implementing Classes:
  AnnotationDecorator, PlusDecorator

Enclosing class:
  ServletContextHandler

    public static interface ServletContextHandler.Decorator

Interface to decorate loaded classes.

### Method Summary

Methods
`void` `decorateFilterHolder(FilterHolder filter)`
`<T extends javax.servlet.Filter> T` `decorateFilterInstance(T filter)`
`<T extends EventListener> T` `decorateListenerInstance(T listener)`
`void` `decorateServletHolder(ServletHolder servlet)`
`<T extends javax.servlet.Servlet> T` `decorateServletInstance(T servlet)`
`void` `destroyFilterInstance(javax.servlet.Filter f)`
`void` `destroyListenerInstance(EventListener f)`
`void` `destroyServletInstance(javax.servlet.Servlet s)`

### Method Detail

#### decorateFilterInstance

    <T extends javax.servlet.Filter> T decorateFilterInstance(T filter)
                                                          throws javax.servlet.ServletException

Throws:
  `javax.servlet.ServletException`

#### decorateServletInstance

    <T extends javax.servlet.Servlet> T decorateServletInstance(T servlet)
                                                            throws javax.servlet.ServletException

Throws:
  `javax.servlet.ServletException`

#### decorateListenerInstance

    <T extends EventListener> T decorateListenerInstance(T listener)
                                                     throws javax.servlet.ServletException

Throws:
  `javax.servlet.ServletException`

#### decorateFilterHolder

    void decorateFilterHolder(FilterHolder filter)
                              throws javax.servlet.ServletException

Throws:
  `javax.servlet.ServletException`

#### decorateServletHolder

    void decorateServletHolder(ServletHolder servlet)
                               throws javax.servlet.ServletException

Throws:
  `javax.servlet.ServletException`

#### destroyServletInstance

    void destroyServletInstance(javax.servlet.Servlet s)

#### destroyFilterInstance

    void destroyFilterInstance(javax.servlet.Filter f)

#### destroyListenerInstance

    void destroyListenerInstance(EventListener f)